Package org.eclipse.net4j.signal.wrapping

## Class GZIPStreamWrapperInjector

- java.lang.Object
- - org.eclipse.net4j.signal.wrapping.StreamWrapperInjector
  - - org.eclipse.net4j.signal.wrapping.GZIPStreamWrapperInjector

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IElementProcessor`

      public class GZIPStreamWrapperInjector
      extends StreamWrapperInjector

  An `injector` that injects `GZIPStreamWrapper` instances.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.eclipse.net4j.util.io.GZIPStreamWrapper` | `STREAM_WRAPPER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GZIPStreamWrapperInjector​(java.lang.String protocolID)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.signal.wrapping.StreamWrapperInjector

      `getProtocolID, getStreamWrapper, inject, process, shouldInject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STREAM_WRAPPER

          public static final org.eclipse.net4j.util.io.GZIPStreamWrapper STREAM_WRAPPER

  - ### Constructor Detail

    - #### GZIPStreamWrapperInjector

          public GZIPStreamWrapperInjector​(java.lang.String protocolID)